# frozen_string_literal: true

require 'httparty'
require 'logger'

module Yade
  module Project
    module Rest
      module Client
        include Yade::Common::Client

        # maven build task client
        class MavenBuildTaskClient < BaseClient
          include HTTParty
          #logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadeproject', 'maven-build-task', 'Yade::Project::Rest::Model::MavenBuildTask')
          end
        end
      end
    end
  end
end
