# frozen_string_literal: true

require 'httparty'
require 'logger'

# yadecli cli
module Yade
  module Project
    module Rest
      module Client
        include Yade::Common::Client

        # project client
        class ProjectClient < BaseClient
          include HTTParty
          # logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadeproject', 'project', 'Yade::Project::Rest::Model::Project')
          end

          # get project by name
          def project_by_name(project_name)
            list.select { |p| p.name == project_name }.first
          end
        end
      end
    end
  end
end
