# frozen_string_literal: true

require 'httparty'
require 'logger'

# yadecli cli
module Yade
  module Project
    module Rest
      module Client
        include Yade::Common::Client

        # authentication client
        class ProjectModuleClient < BaseClient
          include HTTParty
          # logger ::Logger.new(STDOUT), :info

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadeproject', 'project-module', 'Yade::Project::Rest::Model::ProjectModule')
          end

          # get module by name
          def module_by_name(module_name)
            list.select { |m| m.name == module_name }.first
          end

          # get modules for project with id
          def modules_for_project(project_id)
            list.select { |m| m.projectId == project_id }
          end

          # get module by name from project with id
          def module_for_project(project_id, module_name)
            modules = modules_for_project(project_id)

            modules.select { |m| m.name == module_name }.first
          end
        end
      end
    end
  end
end