# frozen_string_literal: true

require 'httparty'
require 'logger'

module Yade
  module Project
    module Rest
      module Client
        include Yade::Common::Client

        # pyenv runtime client
        class PyenvRuntimeClient < BaseClient
          include HTTParty
          # logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadeproject', 'pyenv-runtime', 'Yade::Project::Rest::Model::PyenvRuntime')
          end
        end
      end
    end
  end
end