# frozen_string_literal: true

require 'httparty'
require 'logger'

module Yade
  module Project
    module Rest
      module Client
        include Yade::Common::Client

        # domain client
        class SdkPackageClient < BaseClient
          include HTTParty
          # logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadeproject', 'sdk-package', 'Yade::Project::Rest::Model::SdkPackage')
          end

          # get sdk packages for project with id
          def sdk_packages_for_project(project_id)
            list.select { |sdk_package| sdk_package.projectId == project_id }
          end
        end
      end
    end
  end
end