# frozen_string_literal: true

require 'active_model'

module Yade
  module Project
    module Rest
      module Model
        # MavenBuildStep
        class MavenBuildStep
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :command, :profiles, :parameters, :mavenBuildTaskId

          validates_presence_of 'id', 'command', 'mavenBuildTaskId'

          def attributes
            instance_values
          end
        end
      end
    end
  end
end
