# frozen_string_literal: true

require 'active_model'

module Yade
  module Project
    module Rest
      module Model
        # MavenBuildTask
        class MavenBuildTask
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :name, :desc, :profiles, :parameters, :projectModuleId

          validates_presence_of 'id', 'name', 'projectModuleId'

          def attributes
            instance_values
          end
        end
      end
    end
  end
end
