# frozen_string_literal: true

require 'active_model'

# Project
module Yade
  module Project
    module Rest
      module Model
        class Project
          include Yade::Common::Config
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON
          include Yade::Common::Config

          attr_accessor :id, :name, :ideType, :vcsId, :nvmRuntimeId, :rvmRuntimeId, :pyenvRuntimeId
          attr_reader :home

          validates_presence_of 'id', 'name', 'home', 'ideType', 'vcsId'

          def attributes
            instance_values
          end

          def home
            "#{AppConfig[:project_home]}/#{name}"
          end

          def installed?
            File.directory?(home)
          end
        end
      end
    end
  end
end
