# frozen_string_literal: true

require 'active_model'

module Yade
  module Project
    module Rest
      module Model
        # SdkPackage
        class SdkPackage
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :name, :projectId, :version

          validates_presence_of 'id', 'name', 'projectId', 'version'

          def attributes
            instance_values
          end
        end
      end
    end
  end
end
